<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
	include_once('db.php');

	$db = new Database;
	$connect = $db->connect();
	
	$customer_id = $_POST['customer_id']; // possible $_POST
	$reservation_id = $_POST['res_id'];
	
	$start = $db->getResStartInfo($reservation_id, $customer_id);
	$end = $db->getResEndInfo($reservation_id, $customer_id);
	$car = $db->getResCarInfo($reservation_id, $customer_id);
	
	$start_parse = array(); $end_parse = array();
	
	$start_parse = date_parse($start);
	$end_parse = date_parse($end);
	
	$sMonth = $start_parse["month"];
	$sDay = $start_parse["day"];
	$sYear = $start_parse["year"];
	$sHour = $start_parse["hour"];
	$sMinute = $start_parse["minute"];
	
	$eMonth = $end_parse["month"];
	$eDay = $end_parse["day"];
	$eYear = $end_parse["year"];
	$eHour = $end_parse["hour"];
	$eMinute = $end_parse["minute"];
	
	$valid = count($car);
	
	/* we found the reservation and it matches the current user */
	if($valid > 0) {
		header('Location: ../editReservation.php?ent=1&sMon='.$sMonth.'&sDay='.$sDay.'&sYea='.$sYear.'&sHou='.$sHour.'&sMin='.$sMinute.'&eMon='.$eMonth.'&eDay='.$eDay.'&eYea='.$eYear.'&eHou='.$eHour.'&eMin='.$eMinute.'&resID='.$reservation_id.'&cid='.$customer_id.'');
	
	}
	
	/* we did not find that reservation in our DB or it's someone else reservation */
	else {
		echo $customer_id, $reservation_id;
		//header('Location: ../editReservation.php?pfail=1');
	}
?>