<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->


<?php
	include_once('include/config.inc.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="garage_map">
			<div id="main" align="center"> <!-- change ID to content for two columns -->
				<h3>Here you can take a glance the garage and the status of the spots right now</h3>
				<p>Green = Vacant &nbsp;&nbsp;&nbsp; Red = Occupied</br></br></p>
				
				<?php
					htmlFunctions::createGarageMap();
				?>
			</div>
			
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>