<?php
session_start();
include_once('db.php');

$db = new Database;
$connect = $db->connect();
$customer_id = $_SESSION['customer_id'];

$change = $_GET['change'];

/* password change */
if($change == 1) {
	$current_pass = $_POST['current_pass'];
	$new_pass1 = $_POST['new_pass1'];
	$new_pass2 = $_POST['new_pass2'];

	/* if user is in the database */
	if($db->verifyUser($_SESSION['email'], $current_pass)) {
		/* verify values were entered for these fields */
		if(strcmp($new_pass1, '') == 0 || strcmp($new_pass2, '') == 0) {
			header('Location: ../myAccount.php?error=2');
		}
		
		/* verify the new passwords match */
		else if(strcmp($new_pass1, $new_pass2) != 0) {
			header('Location: ../myAccount.php?error=3');
		}
		
		/* udpate password */
		else {
			$db->updatePass($_SESSION['email'], $new_pass1);
			header('Location: ../myAccount.php');
		}
	}
	
	/* user does not exist in the database */
	else {
		header('Location: ../myAccount.php?error=1');
	}
}

/* adding a credit card */
else if($change == 2) {
	$credit_number = $_POST['credit_number'];
	$cc_name = $_POST['cc_name'];
	$cc_type = $_POST['cc_type'];

	/* no information entered in cc text field */
	/*if(strcmp($credit_number, '') == 0 || strcmp($nameonCard, '')) {
		header('Location: ../myAccount.php?error=4');
	}*/
	
	/* if all fields entered, insert into database */
	/*else {*/
		$db->insertCreditCard($credit_number, $customer_id, $cc_name, $cc_type);
		header('Location: ../myAccount.php');
	/*}*/
}
/* adding a vehicle */

else if($change == 3) {
	$license_plate = $_POST['license_plate'];
	$us_state = $_POST['us_state'];
	
	$db->insertVehicle($license_plate, $us_state, $customer_id);
	header('Location: ../myAccount.php');
}
?>