<?php
	session_start();
	
	if(!$_SESSION['customer_id']) {
		session_destroy();
		header('Location: index.php?error=2');
	}
	
	include_once('include/config.inc.php');
	include_once('include/db.php');
	include_once('include/extraFunctions.php');
	include_once('include/verify.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
	
	<!-- JAVA -->
	<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
	<script type="text/javascript" src="js/jquery.jcarousel.pack.js"></script>
	<script type="text/javascript" src="js/func.js"></script>
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		
		<div id="main">
			<form action="include/changeSettings.php?change=1" method="post" class="editForm">
				<div id="firstBox" class="left" style="width:300px;">
					<div class="highlight">
						<h3 id="headings" style="float: left; margin-left: 5px; margin-top: 5px; ">Account Access</h3></br><br/>
						<tr>
                            <td align="right">
                                <label for="current_pass">Current Password:</label>
                            </td>
                            <td align="left">
                                <input type="password" id="current_pass" name="current_pass"/> <!--required-->
                            </td>
                        </tr></br></br>
						
						<tr>
                            <td align="right">
                                <label for="new_pass1">New Password:</label>
                            </td>
                            <td align="left">
                                <input type="password" id="new_pass1" name="new_pass1"/> <!--required-->
                            </td>
                        </tr></br></br>
						
						<tr>
                            <td align="right">
                                <label for="new_pass2">Re-enter New Password:</label>
                            </td>
                            <td align="left">
                                <input type="password" id="new_pass2" name="new_pass2"/> <!--required--> 
                            </td>
                        </tr></br></br>
						
						<tr>
							<td></td>
							<td align="right" style="padding-top: 10px" colspan="2">
								<input type="submit" value="Save Changes" />
								<a href="myAccount.php">Cancel</a>
							</td>
						</tr></br></br></br></br></br></br></br></br></br></br>
					</div>
				</div>
			</form>
			
			<form action="include/changeSettings.php?change=2" method="post" class="editForm">
				<div id="sidebar" class="left">
					<div class="sidebar-nav">
						<h3 id="headings" style="float: left; margin-left: 5px; margin-top: 5px; ">Credit Card Information</h3></br><br/>
					
						<tr>
							<td align="right">
								<label for="credit_number">Credit Card #:&nbsp;&nbsp;&nbsp;</label>
							</td>
						  
							<td align="left">
								<input type="text" id="credit_number" name="credit_number" />
							</td>
						</tr></br></br>
						
						<tr>
							<td align="right">
								<label for="cc_name">Name on Card:</label>
							</td>
						  
							<td align="left">
								<input type="text" id="cc_name" name="cc_name" />
							</td>
						</tr></br></br>
						<!-- Hold Off for now
						<tr>
							<td align="right">
								<label for="date">Expiration Date:</label>
							</td>
							<td align="left">
								<?php/*
								$function = new htmlFunctions;
								$expiration_date = $function->reservationDropdown();
								echo $expiration_date*/?>
								<span class="require_field"></span>
							</td>
						</tr>
						-->
						<tr>
							<td align="right">
								<label for="cc_type">Type:</label>
							</td>
							<td align="left">
								<select class="dropdown" name="cc_type">
									<option value="1">Visa</option>
									<option value="2">Mastercard</option>
									<option value="3">American Express</option>
								</select>
							</td>
						</tr></br></br>
						
						<tr>
							<td></td>
							<td align="right" style="padding-top: 10px" colspan="2">
								<input type="submit" value="Add Credit Card" />
								<a href="myAccount.php">Cancel</a>
							</td>
						</tr></br></br></br></br></br></br></br></br></br></br>
					</div>
				</div>
			</form>
			
			<form action="include/changeSettings.php?change=3" method="post" class="editForm">
				<div id="thirdBox" class="left" style="width:300px;">
					<h3 id="headings" style="float: left; margin-left: 5px; margin-top: 5px; ">Vehicle Information</h3></br><br/>
					
					<tr>
                        <td align="right">
                            <label for="license_plate">License Plate Number:</label>
                        </td>
                        <td align="left">
                            <input id="license_plate" name="license_plate"/>
                        </td>
                    </tr></br></br>
					
					<tr>
						<td align="right">
							<label for="us_state">Type:</label>
						</td>
						
						<td align="left">
							<select class="dropdown" name="us_state">
								<option value="AL">AL</option>
								<option value="AK">AK</option>
								<option value="AZ">AZ</option>
								<option value="AR">AR</option>
								<option value="CA">CA</option>
								<option value="CO">CO</option>
								<option value="CT">CT</option>
								<option value="DE">DE</option>
								<option value="DC">DC</option>
								<option value="FL">FL</option>
								<option value="GA">GA</option>
								<option value="HI">HI</option>
								<option value="ID">ID</option>
								<option value="IL">IL</option>
								<option value="IN">IN</option>
								<option value="IA">IA</option>
								<option value="KS">KS</option>
								<option value="KY">KY</option>
								<option value="LA">LA</option>
								<option value="ME">ME</option>
								<option value="MD">MD</option>
								<option value="MA">MA</option>
								<option value="MI">MI</option>
								<option value="MN">MN</option>
								<option value="MS">MS</option>
								<option value="MO">MO</option>
								<option value="MT">MT</option>
								<option value="NE">NE</option>
								<option value="NV">NV</option>
								<option value="NH">NH</option>
								<option value="NJ">NJ</option>
								<option value="NM">NM</option>
								<option value="NY">NY</option>
								<option value="NC">NC</option>
								<option value="ND">ND</option>
								<option value="OH">OH</option>
								<option value="OK">OK</option>
								<option value="OR">OR</option>
								<option value="PA">PA</option>
								<option value="RI">RI</option>
								<option value="SC">SC</option>
								<option value="SD">SD</option>
								<option value="TN">TN</option>
								<option value="TX">TX</option>
								<option value="UT">UT</option>
								<option value="VT">VT</option>
								<option value="VA">VA</option>
								<option value="WA">WA</option>
								<option value="WV">WV</option>
								<option value="WI">WI</option>
								<option value="WY">WY</option>
							</select>
						</td>
					</tr></br></br>

					<tr>
						<td></td>
						<td align="right" style="padding-top: 10px" colspan="2">
							<input type="submit" value="Add Vehicle" />
							<a href="myAccount.php">Cancel</a>
						</td>
					</tr></br></br></br></br></br></br></br></br></br></br>
					
				</div>
			</form>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>