<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
include_once('config.inc.php');

class Database{
	public function connect(){
		global $g_Cfg;
        $user = $g_Cfg['db_user'];
        $pass = $g_Cfg['db_pass'];
        $schema = $g_Cfg['db_schema'];
        $host = $g_Cfg['db_host'];
        $handle = mysql_connect($host, $user, $pass, $schema);
		
        if(!$handle) {
            die(mysql_error());
        }
		
        mysql_select_db($schema) or die(mysql_error());
        return $handle; 
	}
	
	public function disconnect(){
		$this->handle = null;
	}
	
	public function startQuery($query) {
        $info = array();
        $result = mysql_query($query) or die(mysql_error());
        while($row = mysql_fetch_assoc($result)) {
            $info[] = $row;
        }
        return $info;
    }
	
	public function checkemail($email) {
		$query = 'select email from customer where email = '."'".$email."'";
        $result = $this->startQuery($query);
        return(count($result) == 1);
	}
	
	public function registerUser($first_name, $last_name, $email, $password, $dob, $gender) {
        $password = sha1($password);
		
		$query = 'insert into customer(first_name, last_name, email, password, dob, gender, status) values ("'.$first_name.'", "'.$last_name.'", "'.$email.'", "'.$password.'", "'.$dob.'", "'.$gender.'", "Inactive")';
		
		mysql_query($query) or die(mysql_error());
		
		$customer_id = $this->emailToUID($email);
	
        return $customer_id;
    }
	
	public function insertCreditCard($credit_number, $customer_id, $cc_name, $cc_type, $name_given){
		$query = 'select credit_id from creditcard where cc_name="'.$cc_name.'" and credit_number="'.$credit_number.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		// this name and number is unique
		if($size<1) {
			$query = 'insert into creditcard(credit_number, customer_id, cc_name, cc_type, name_given) values ("'.$credit_number.'", "'.$customer_id.'", "'.$cc_name.'", "'.$cc_type.'", "'.$name_given.'")';
		
			mysql_query($query) or die(mysql_error());
			return 1;
		}
		
		else 
			return 0;			
	}
	
	public function isReservationValid($start_point, $end_point) {
		$query = 'select * from reservation R where (R.start_point>="'.$start_point.'" and R.end_point<="'.$end_point.'") or (R.start_point<="'.$start_point.'" and R.end_point>="'.$end_point.'") or (R.start_point>="'.$start_point.'" and R.start_point<="'.$end_point.'") or (R.end_point>="'.$start_point.'" and R.end_point<="'.$end_point.'")';
		
		$res = $this->startQuery($query);
		
		return (count($res)<101); /* FIXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */
	}
	
	public function allParkingSpots($spot_id) {
		//$query = 'select status from parkingspot where spot_id="'.$spot_id.'"';
		$query = 'select status from parkingspot where (spot_id="'.$spot_id.'" and garage_id=1)';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
             return $v;
        }
	}
	
	// returns the first available parking spot (if one is available, reserve one)
	public function assignParkingSpot($start_point, $end_point) {
		/* this query will output all the parking spots that would conflict */
		$query = 'select spot_id from reservation R where (R.start_point>="'.$start_point.'" and R.end_point<="'.$end_point.'") or (R.start_point<="'.$start_point.'" and R.end_point>="'.$end_point.'") or (R.start_point>="'.$start_point.'" and R.start_point<="'.$end_point.'") or (R.end_point>="'.$start_point.'" and R.end_point<="'.$end_point.'")';
		
		$result = array();
		$result = $this->startQuery($query);
		
		$size = count($result);
		
		$counter = 0;
		$parking_spot = 0;
		
		// loop through all the spots in garage
		for($i=200 ; $i<=299 ; $i=$i+1) {
			// loop the the conflicting spots
			for($j=0 ; $j<$size ; $j=$j+1){
				foreach($result[$j] as $value) {
					// if this spot matches a conflicing spot, set counter to 1
					if($i == $value) $counter = 1;
				}
			}
				
			if($counter == 0) {
				$parking_spot = $i;
				return $parking_spot;
				break;
			}
			
			else $counter = 0;
		}
	}
	
	public function insertReservationWithCC($customer_id, $start_point, $end_point, $spot_id, $car_id, $credit_id) {
		//$query = 'insert into reservation(start_point, end_point, customer_id, spot_id, car_id, credit_id, reserve_type) values ("'.$start_point.'","'.$end_point.'","'.$customer_id.'","'.$spot_id.'", "'.$car_id.'", "'.$credit_id.'", "Guaranteed")';
		
		$query = 'insert into reservation(start_point, end_point, customer_id, spot_id, car_id, credit_id, reserve_type, garage_id) values ("'.$start_point.'","'.$end_point.'","'.$customer_id.'","'.$spot_id.'", "'.$car_id.'", "'.$credit_id.'", "Guaranteed", 1)';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function insertReservationWithoutCC($customer_id, $start_point, $end_point, $spot_id, $car_id) {
		//$query = 'insert into reservation(start_point, end_point, customer_id, spot_id, car_id, reserve_type) values ("'.$start_point.'","'.$end_point.'","'.$customer_id.'","'.$spot_id.'","'.$car_id.'", "Confirmed")';
		
		$query = 'insert into reservation(start_point, end_point, customer_id, spot_id, car_id, garage_id, reserve_type) values ("'.$start_point.'","'.$end_point.'","'.$customer_id.'","'.$spot_id.'","'.$car_id.'", 1, "Confirmed")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function getReservationID($start_point, $end_point, $spot_number) {
		$query = 'select reservation_id from reservation R where (start_point = "'.$start_point.'" and end_point = "'.$end_point.'" and spot_id = "'.$spot_number.'")';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
             return $v;
        }
	}
	
	public function insertVehicle($license_plate, $us_state, $customer_id, $car_name) {
		$query = 'select car_id from car where license_plate="'.$license_plate.'" and us_state="'.$us_state.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1) {
			$query = 'insert into car(license_plate, us_state, customer_id, car_name) values ("'.$license_plate.'", "'.$us_state.'", "'.$customer_id.'", "'.$car_name.'")';
		
			mysql_query($query) or die(mysql_error());
			return 1;
		}
		
		else
			return 0;
	}
	
	public function verifyUser($email, $password) {
		$password = sha1($password);
		$query = 'select * from customer where email = '."'".$email."'".' and password = '."'".$password."';";
		$result = $this->startQuery($query);
		return(count($result) == 1);
	}
	
	public function emailToUID($email) {
        $query = 'select customer_id from customer where email = '."'".$email."'";
        $customer_id = array();
        $customer_id = $this->startQuery($query);
        foreach($customer_id[0] as $k=>$v) {
             return $v;
        }
    }
	
	public function emailToname($email) {
        $query = 'select concat(first_name, " ", last_name) as name from customer where email = '."'".$email."'";
        $name = array();
        $name = $this->startQuery($query);
        foreach($name[0] as $k=>$v) {
             return $v;
        }
    }
	
	public function uidToname($customer_id) {
		$query = 'select concat(first_name, " ", last_name) as name from customer where customer_id = '."'".$customer_id."'";
        $name = array();
        $name = $this->startQuery($query);
        foreach($name as $k=>$v) {
             return $v;
        }
	}
	
	public function getfirst_name($email) {
        $query = 'select first_name from customer where email = '."'".$email."'";
        $name = array();
        $name = $this->startQuery($query);
        foreach($name[0] as $k=>$v) {
            return $v;
        }
    }
    
    public function getlast_name($email) {
        $query = 'select last_name from customer where email = '."'".$email."'";
        $name = array();
        $name = $this->startQuery($query);
        foreach($name[0] as $k=>$v) {
            return $v;
        }
    }
	
	public function getgender($email) {
		$query = 'select gender from customer where email = '."'".$email."'";
		$gender = array();
		$gender = $this->startQuery($query);
		foreach($gender[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getDOB($email) {
		$query = 'select dob from customer where email = '."'".$email."'";
		$dob = array();
		$dob = $this->startQuery($query);
		foreach($dob[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function updatePass($email, $password) {
		$password = sha1($password);
		$query = 'update customer set password = '."'".$password."'".'where email = '."'".$email."'";
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function updateCustomer($customer_id, $first_name, $last_name, $dob, $location /*$gender*/) {
		$query = 'update customer set first_name = "'.$first_name.'", last_name = "'.$last_name.'", Location = "'.$location.'", dob = "'.dob.'" where customer_id = '.$customer_id;
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function createGarage() {
		$query = 'insert into garage values (1, "Test")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function deleteGarage() {
		$query = 'delete from garage where garage_id=1';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function testFillParkingSpots($spot_id) {
		//$query = 'insert into parkingspot values ("'.$spot_id.'", "VACANT")';
		$query = 'insert into parkingspot values ("'.$spot_id.'", "VACANT", 1)';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function testDeleteParkingSpots($spot_id) {
		$query = 'delete from parkingspot where spot_id="'.$spot_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function getNextTwentyRes($current_time) {
		$query = 'select reservation_id from reservation where start_point>"'.$current_time.'" group by start_point';
		$result = array();
		
		$result = $this->startQuery($query);
		return $result;
	}
	
	public function getUserNextTwenty($current_time, $car_id) {
		$query = 'select reservation_id from reservation where start_point>"'.$current_time.'" and car_id="'.$car_id.'" group by start_point';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1)
			return -1;
			
		else {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	public function getUserArriveNull($cust) {
		$query = 'select reservation_id from reservation where customer_id="'.$cust.'" and arrive IS NULL group by start_point';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1)
			return -1;
			
		else {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	/* returns a list of reservations for a user, NEED TO LIMIT THE AMOUNT */
	public function listResById($customer_id) {
		$query = 'select reservation_id from reservation where customer_id="'.$customer_id.'"';
		$result = array();
		
		$result = $this->startQuery($query);
		return $result;
	}
	
	public function getOverlappingRes($start, $end) {
		$query = 'select reservation_id from reservation R where (R.start_point>="'.$start.'" and R.end_point<="'.$end.'") or (R.start_point<="'.$start.'" and R.end_point>="'.$end.'") or (R.start_point>="'.$start.'" and R.start_point<="'.$end.'") or (R.end_point>="'.$start.'" and R.end_point<="'.$end.'") group by start_point';
		
		$result = array();
		
		$result = $this->startQuery($query);
		return $result;
	}
	
	public function getOverlappingSpots($current) {
		$query = 'select spot_id from reservation where (start_point<="'.$current.'" and "'.$current.'"<=end_point)';
		
		$result = array();
		
		$result = $this->startQuery($query);
		return $result;
	}
	
	public function setSpotOccupied($spot) {
		$query = 'update parkingspot set status="OCCUPIED" where spot_id="'.$spot.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function setSpotVacant($spot) {
		$query = 'update parkingspot set status="VACANT" where spot_id="'.$spot.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function getResStart($res_id) {
		$query = 'select start_point from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getResEnd($res_id) {
		$query = 'select end_point from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getResSpot($res_id) {
		$query = 'select spot_id from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getResStartInfo($reservation_id, $customer_id) {
		$query = 'select start_point from reservation where reservation_id="'.$reservation_id.'" and customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getResEndInfo($reservation_id, $customer_id) {
		$query = 'select end_point from reservation where reservation_id="'.$reservation_id.'" and customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getResCarInfo($reservation_id, $customer_id) {
		$query = 'select car_id from reservation where reservation_id="'.$reservation_id.'" and customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarIdFromRes($reservation_id) {/*will be name not id eventually */
		$query = 'select car_id from reservation where reservation_id = "'.$reservation_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function updateReservationWithCC($customer_id, $start_point, $end_point, $spot_number, $reservation_id, $car_id, $credit_id) {
		$query = 'update reservation set start_point="'.$start_point.'", end_point="'.$end_point.'", spot_id="'.$spot_number.'", car_id="'.$car_id.'", credit_id="'.$credit_id.'", reserve_type="Guaranteed" where reservation_id="'.$reservation_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function updateReservationWithoutCC($customer_id, $start_point, $end_point, $spot_number, $reservation_id, $car_id) {
		$query = 'update reservation set start_point="'.$start_point.'", end_point="'.$end_point.'", spot_id="'.$spot_number.'", car_id="'.$car_id.'", reserve_type="Confirmed", credit_id=NULL where reservation_id="'.$reservation_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function deleteReservation($reservation_id) {
		$query = 'delete from reservation where reservation_id='.$reservation_id.'';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function pullUserCarIDs($customer_id) {
		$query = 'select car_id from car where customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		return $result;
	}
	
	public function pullUserCreditIDs($customer_id) {
		$query = 'select credit_id from creditcard where customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		return $result;
	}
	/****************************************/
	public function getCCType($credit_id) {
		$query = 'select cc_type from creditcard where credit_id="'.$credit_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCCNameOnCard($credit_id) {
		$query = 'select cc_name from creditcard where credit_id="'.$credit_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCCName($credit_id) {
		$query = 'select name_given from creditcard where credit_id="'.$credit_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarName($car_id) {
		$query = 'select car_name from car where car_id="'.$car_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarPlate($car_id) {
		$query = 'select license_plate from car where car_id="'.$car_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarState($car_id) {
		$query = 'select us_state from car where car_id="'.$car_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarID($car_name, $customer_id) {
		$query = 'select car_id from car where car_name="'.$car_name.'" and customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCreditCardID($credit_name, $customer_id) {
		$query = 'select credit_id from creditcard where name_given="'.$credit_name.'" and customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarFromResID($reservation_id) {
		$query = 'select car_id from reservation where reservation_id="'.$reservation_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCarNameFromCarId($car_id) {
		$query = 'select car_name from car where car_id="'.$car_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCreditFromResID($reservation_id) {
		$query = 'select credit_id from reservation where reservation_id="'.$reservation_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCreditNameFromCarId($credit_id) {
		$query = 'select name_given from creditcard where credit_id="'.$credit_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		$size = count($result);
		
		if($size < 1) 
			return NULL;
			
		else {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	public function getResStatus($res_id) {
		$query = 'select reserve_type from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		foreach($result[0] as $k=>$v) {
			return $v;
		}		
	}
	
	public function deleteVehicle($car_id) {
		$query = 'delete from car where car_id="'.$car_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function deleteCreditCard($credit_id) {
		$query = 'delete from creditcard where credit_id="'.$credit_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function countCreditCards($customer_id) {
		$query = 'select credit_id from creditcard where customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		$size = count($result);
		return $size;
	}
	
	public function countVehicles($customer_id) {
		$query = 'select car_id from car where customer_id="'.$customer_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		$size = count($result);
		return $size;
	}
	
	public function checkIfCarExists($license_plate, $us_state) {
		$query = 'select car_id from car where license_plate="'.$license_plate.'" and us_state="'.$us_state.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		// plate, state combo does not exist
		if($size<1)
			return 0;
		// car exists
		else
			return 1;
	}
	
	public function getCarIdFromPlate($license_plate, $us_state) {
		$query = 'select car_id from car where license_plate="'.$license_plate.'" and us_state="'.$us_state.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getCustIDfromCarID($car_id) {
		$query = 'select customer_id from car where car_id="'.$car_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getSpotFromRes($res_id) {
		$query = 'select spot_id from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function insertTestGarage2() {
		$query = 'insert into garage values (2, "Test2")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function assignWalkInSpot() {
		$query = 'select spot_id from parkingspot where spot_id>99 and spot_id<200 and status="VACANT"';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size>0) {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
		
		else
			return -1;
	}
	
	public function insertWalkInNew($plate, $state, $spot, $enter) {
		$query = 'insert into walkin(license_plate, us_state, spot_id, garage_id, entrance) values ("'.$plate.'", "'.$state.'", "'.$spot.'", 1, "'.$enter.'")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function insertWalkInReg($plate, $state, $spot, $enter, $cust) {
		$query = 'insert into walkin(license_plate, us_state, spot_id, garage_id, entrance, customer_id) values ("'.$plate.'", "'.$state.'", "'.$spot.'", 1, "'.$enter.'", "'.$cust.'")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function insertPricing($reg, $unreg) {
		$query = 'insert into priceplan(garage_id, registered, unregistered) values (1, "'.$reg.'", "'.$unreg.'")';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function getWalkInSpotFromCarInfo($plate, $state) {
		$query = 'select spot_id from walkin where license_plate="'.$plate.'" and us_state="'.$state.'" and departure IS NULL';
	
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		// car info not marked 'parked' in database
		if($size<1) {
			return -1;
		}
		
		// person was parked
		else {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	public function getWalkInStartTime($plate, $state) {
		$query = 'select entrance from walkin where license_plate="'.$plate.'" and us_state="'.$state.'" and departure IS NULL';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function updateWalkInDeparture($plate, $state, $leave) {
		$query = 'update walkin set departure="'.$leave.'" where license_plate="'.$plate.'" and us_state="'.$state.'" and departure IS NULL';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function isWalkInReg($plate, $state) {
		$query = 'select customer_id from walkin where license_plate="'.$plate.'" and us_state="'.$state.'" and departure IS NULL';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getUnregPrice($garage_id) {
		$query = 'select unregistered from priceplan where garage_id="'.$garage_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function getRegPrice($garage_id) {
		$query = 'select registered from priceplan where garage_id="'.$garage_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function insertArrive($res_id, $time) {
		$query = 'update reservation set arrive="'.$time.'" where reservation_id="'.$res_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function getArrive($res_id) {
		$query = 'select arrive from reservation where reservation_id="'.$res_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			return $v;
		}
	}
	
	public function insertDepart($res_id, $time) {
		$query = 'update reservation set depart="'.$time.'" where reservation_id="'.$res_id.'"';
		
		mysql_query($query) or die(mysql_error());
	}
	
	public function exitResCheck($car) {
		$query = 'select reservation_id from reservation where car_id="'.$car.'" and arrive IS NOT NULL and depart IS NULL';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1)
			return -1;
			
		else {		
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	public function checkIfCarIsParkedWalk($plate, $state) {
		// this query will return something, if this vehicle is parked in walk-in
		$query = 'select walkin_id from walkin where license_plate="'.$plate.'" and us_state="'.$state.'" and entrance IS NOT NULL and departure IS NULL';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1)
			return -1;
			
		else
			return 1;
	}
	
	public function checkIfCarIsParkedRes($car) {
		// this query will return something, if this vehicle is parked in reservation
		$query = 'select reservation_id from reservation where car_id="'.$car.'" and arrive IS NOT NULL and depart IS NULL';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size<1)
			return -1;
			
		else
			return 1;
	}
	
	public function insertRainCheck($dur, $cus) {
		$query = 'select max(check_id) from raincheck';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			$x = $v+1;
		}
		
		$query = 'insert into raincheck values ("'.$x.'","'.$dur.'", "'.$cus.'")';
	
		mysql_query($query) or die(mysql_error());
		
		return $x;
	}
	
	public function getCheckDuration($check_id) {
		$query = 'select duration from raincheck where check_id="'.$check_id.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		$size = count($result);
		
		if($size < 1)
			return -1;
			
		else {
			foreach($result[0] as $k=>$v) {
				return $v;
			}
		}
	}
	
	public function activateCustomer($cust) {
		$query = 'update customer set status="ACTIVE" where customer_id="'.$cust.'"';
		mysql_query($query) or die(mysql_error());
	}
	
	public function customerStatus($cust) {
		$query = 'select status from customer where customer_id="'.$cust.'"';
		
		$result = array();
		$result = $this->startQuery($query);
		
		foreach($result[0] as $k=>$v) {
			if($v == "Active") 
				return 1;

			else 
				return -1;
			
		}
	}
}

?>