<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
	include_once('db.php');

	$db = new Database;
	$connect = $db->connect();
	
	$start_time = $_POST['start_time'];
	$end_time = $_POST['end_time'];
	/*$spot_number = $_POST['spot'];*/
	
	$url_start_time = $start_time . ":00";;
	$url_end_time = $end_time . ":00";;

	$start_dateDay = $_POST['start_dateDay'];
	$start_dateMonth = $_POST['start_dateMonth'];
	$start_dateYear = $_POST['start_dateYear'];
	$start_date = $start_dateYear . "-" . $start_dateMonth . "-" . $start_dateDay;

	$end_dateDay = $_POST['end_dateDay'];
	$end_dateMonth = $_POST['end_dateMonth'];
	$end_dateYear = $_POST['end_dateYear'];
	$end_date = $end_dateYear . "-" . $end_dateMonth . "-" . $end_dateDay;

	/* combines the time and date into a start or end point in DATETIME format*/
	/* DATETIME format -> 'YYYY-MM-DD HH:MM:SS' */
	$start_point = $start_date . " " . $start_time . ":00";
	$end_point = $end_date . " " . $end_time . ":00";

	/* created to instances of the DateTime class to compare the start and end points */
	$interval_start = new DateTime($start_point);
	$interval_end = new DateTime($end_point);

	/* $date_diff represents the number of seconds between the two dates */
	/* will be positive if the end_point is after the start_point */
	$date_diff = ($interval_end->format('U') - $interval_start->format('U')); 

	/* need to check that start_date comes before end_date */
	if ($date_diff > 0) {		
		header('Location: ../viewReservations.php?change=1&sDate='.$start_date.'&sTime='.$url_start_time.'&eDate='.$end_date.'&eTime='.$url_end_time.'');
	}
	
	/* customer requested a to view reservations with an end date that is before the start date */
	else {
		header('Location: ../viewReservations.php?error=1');
	}
?>