<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->

<?php
include_once('db.php');

$firstName = $_POST['firstName'];
$lastName = $_POST['lastName'];
$email = $_POST['email'];
//$email2 = $_POST['email2'];
$password = $_POST['password'];
$password2 = $_POST['password2'];
$gender = $_POST['gender'];
$dateDay = $_POST['dateDay'];
$dateMonth = $_POST['dateMonth'];
$dateYear = $_POST['dateYear'];

$db = new Database;
$connect = $db->connect();

if (isset($_POST['action']) && strcmp($_POST['action'], 'register') == 0) {
    if(	strcmp($firstName, '') == 0 || 
		strcmp($lastName, '') == 0 || 
		strcmp($email, '') == 0 || 
		//strcmp($email2, '') == 0 || 
		strcmp($password, '') == 0 || 
		strcmp($password2, '') == 0 ||
		strcmp($gender, '') == 0 || 
		strcmp($dateDay, '') == 0 || 
		strcmp($dateMonth, '') == 0 || 
		strcmp($dateYear, '') == 0) {
		
		header('Location: ../register.php?error=2');
	}
	
	/* if the two email entries don't match */
	/*else if(strcmp($email, $email2) != 0) {
		header('Location: ../register.php?error=3');
	}*/
	
	else if(strcmp($password, $password2) != 0) {
		header('Location: ../register.php?error=3');
	}
		
	else {
		$dob = $dateYear . "-" . $dateMonth . "-" . $dateDay;
		$check = $db->checkEmail($email);
		
		/* if the entered email address is already in use */
		if($check) {
			header('Location: ../register.php?error=4');
		}
			
		else {
			$customer_id = $db->registerUser($firstName, $lastName, $email, $password, $dob, $gender);
			session_start();
			
			if($customer_id < 0) {
				header('Location: ../register.php?error=5');
			}
			
			else {
				$_SESSION['customer_id']=$customer_id;
				$_SESSION['email'] = $email;
				$subject = "Test Mail";
				$message = "Please click the following link to activate your account: www.reserve-your-spot.com/include/accountActivate.php?val=" . $customer_id . "\n\nPlease do not reply to this email";
				$from = "admin@reserve-your-spot.com";
				$headers = "From:" . $from;
				mail($email,$subject,$message,$headers);
				header('Location: ../myAccount.php?customer_id='.$customer_id);
			}
		}
	}
}
?>