<!--
Written by: Bartosz Agas, Christopher Tran
Tested by: Michael T. Van Genderen, Justin Levatino
Debugged by: Marvin Germar, Tarun Katikaneni
-->


<?php
	include_once('include/config.inc.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="garage_map">
			<!--<div id="content" align="center">  change ID to content for two columns -->
			<table>
				<tr>
					<td width="400px" align="center">
						<form action="include/fetchReservations.php" method="post" class="clean_form">
						<input type="hidden" name="action" id="action" value="reserve"/>
						<p align="center"></br>From</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="start_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$x = 1;
									$y = 2022;
									htmlFunctions::dateDropdown($x, $y);
									?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<? $x=1; htmlFunctions::generateTimeDropdown($x);?>
						</table>
						
						</br>
						
						<p align="center">Till</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="end_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$x = 0;
									$y = 2022;
									htmlFunctions::dateDropdown($x, $y);
									?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<? $x=0; htmlFunctions::generateTimeDropdown($x);?>
						</table>
						
						<table align="center">
							<tr>
                                <td></td>
                                <td align="center" style="padding-top: 10px" colspan="2">
									<input type="hidden" name="customer_id" id="customer_id"/>
                                    <input type="submit" value="View Reservations!" />
                                    <input type="button" onClick="location.href='viewReservations.php'" value="Reset"/>
                                </td>
                            </tr>
						</table><p></br></p>
					</form>
					</td>
					
					<td align="center">
						<?php  
						if(isset($_GET['error'])) {
							if($_GET['error'] == 1) {
								echo '<div class="error"><p align="center">Please select a proper start and end point.</p></div>';
							}
						}
						
						else if(isset($_GET['change'])) {
							$startDate = $_GET['sDate'];
							$startTime = $_GET['sTime'];
							$endDate = $_GET['eDate'];
							$endTime = $_GET['eTime'];
							
							/* concatenate the date and times */
							$start = $startDate . " " . $startTime;
							$end = $endDate . " " . $endTime;
							
							htmlFunctions::generateCustomResTable($start, $end);
						}
						
						else {
							/* generate the next 20 reservations from current time */
							htmlFunctions::generateRealTimeResTable();
						}
						?>
					</td>
				</tr>
			</table>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>