<?php
	session_start();
	
	if(!$_SESSION['customer_id']) {
		session_destroy();
		header('Location: index.php?error=2');
	}
	
	include_once('include/config.inc.php');
	include_once('include/db.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="main">
			<div id="content" class="left" align="center">
				<div class="highlight">
					<h3>Reserve That Spot!</h3>
					<form action="include/newReservation.php" method="post" class="clean_form">
						<input type="hidden" name="action" id="action" value="reserve"/>
						<p>From</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="start_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$function = new htmlFunctions;
									$start_date = $function->reservationStartDropdown();
									echo $start_date?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<tr>
								<td align="right">
									<label for="start_time">Time:</label>
								</td>
								<td align="left">
									<select class="dropdown" name="start_time">
										<option value="00:00">12:00 AM</option>
										<option value="00:30">12:30 AM</option>
										<option value="01:00">1:00 AM</option>
										<option value="01:30">1:30 AM</option>
										<option value="02:00">2:00 AM</option>
										<option value="02:30">2:30 AM</option>
										<option value="03:00">3:00 AM</option>
										<option value="03:30">3:30 AM</option>
										<option value="04:00">4:00 AM</option>
										<option value="04:30">4:30 AM</option>
										<option value="05:00">5:00 AM</option>
										<option value="05:30">5:30 AM</option>
										<option value="06:00">6:00 AM</option>
										<option value="06:30">6:30 AM</option>
										<option value="07:00">7:00 AM</option>
										<option value="07:30">7:30 AM</option>
										<option value="08:00">8:00 AM</option>
										<option value="08:30">8:30 AM</option>
										<option selected="selected" value="09:00">9:00 AM</option>
										<option value="09:30">9:30 AM</option>
										<option value="10:00">10:00 AM</option>
										<option value="10:30">10:30 AM</option>
										<option value="11:00">11:00 AM</option>
										<option value="11:30">11:30 AM</option>
										<option value="12:00">12:00 PM</option>
										<option value="12:30">12:30 PM</option>
										<option value="13:00">1:00 PM</option>
										<option value="13:30">1:30 PM</option>
										<option value="14:00">2:00 PM</option>
										<option value="14:30">2:30 PM</option>
										<option value="15:00">3:00 PM</option>
										<option value="15:30">3:30 PM</option>
										<option value="16:00">4:00 PM</option>
										<option value="16:30">4:30 PM</option>
										<option value="17:00">5:00 PM</option>
										<option value="17:30">5:30 PM</option>
										<option value="18:00">6:00 PM</option>
										<option value="18:30">6:30 PM</option>
										<option value="19:00">7:00 PM</option>
										<option value="19:30">7:30 PM</option>
										<option value="20:00">8:00 PM</option>
										<option value="20:30">8:30 PM</option>
										<option value="21:00">9:00 PM</option>
										<option value="21:30">9:30 PM</option>
										<option value="22:00">10:00 PM</option>
										<option value="22:30">10:30 PM</option>
										<option value="23:00">11:00 PM</option>
										<option value="23:30">11:30 PM</option>
									</select>
									<span class="required_field"></span>
								</td>
							</tr>
						</table>
						
						</br>
						
						<p>Till</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="end_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$function = new htmlFunctions;
									$end_date = $function->reservationEndDropdown();
									echo $end_date?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<tr>
								<td align="right">
									<label for="end_time">Time:</label>
								</td>
								<td align="left">
									<select class="dropdown" name="end_time">
										<option value="00:00">12:00 AM</option>
										<option value="00:30">12:30 AM</option>
										<option value="01:00">1:00 AM</option>
										<option value="01:30">1:30 AM</option>
										<option value="02:00">2:00 AM</option>
										<option value="02:30">2:30 AM</option>
										<option value="03:00">3:00 AM</option>
										<option value="03:30">3:30 AM</option>
										<option value="04:00">4:00 AM</option>
										<option value="04:30">4:30 AM</option>
										<option value="05:00">5:00 AM</option>
										<option value="05:30">5:30 AM</option>
										<option value="06:00">6:00 AM</option>
										<option value="06:30">6:30 AM</option>
										<option value="07:00">7:00 AM</option>
										<option value="07:30">7:30 AM</option>
										<option value="08:00">8:00 AM</option>
										<option value="08:30">8:30 AM</option>
										<option value="09:00">9:00 AM</option>
										<option value="09:30">9:30 AM</option>
										<option value="10:00">10:00 AM</option>
										<option value="10:30">10:30 AM</option>
										<option value="11:00">11:00 AM</option>
										<option value="11:30">11:30 AM</option>
										<option value="12:00">12:00 PM</option>
										<option value="12:30">12:30 PM</option>
										<option value="13:00">1:00 PM</option>
										<option value="13:30">1:30 PM</option>
										<option value="14:00">2:00 PM</option>
										<option value="14:30">2:30 PM</option>
										<option value="15:00">3:00 PM</option>
										<option value="15:30">3:30 PM</option>
										<option value="16:00">4:00 PM</option>
										<option value="16:30">4:30 PM</option>
										<option selected="selected" value="17:00">5:00 PM</option>
										<option value="17:30">5:30 PM</option>
										<option value="18:00">6:00 PM</option>
										<option value="18:30">6:30 PM</option>
										<option value="19:00">7:00 PM</option>
										<option value="19:30">7:30 PM</option>
										<option value="20:00">8:00 PM</option>
										<option value="20:30">8:30 PM</option>
										<option value="21:00">9:00 PM</option>
										<option value="21:30">9:30 PM</option>
										<option value="22:00">10:00 PM</option>
										<option value="22:30">10:30 PM</option>
										<option value="23:00">11:00 PM</option>
										<option value="23:30">11:30 PM</option>
									</select>
									<span class="required_field"></span>
								</td>
							</tr>
							
							<tr>
                                <td></td>
                                <td align="center" style="padding-top: 10px" colspan="2">
									<input type="hidden" name="customer_id" id="customer_id" value="<? echo $_SESSION['customer_id']; ?>"/>
                                    <input type="submit" value="Reserve!" />
                                    <input type="button" onClick="location.href='reservation.php'" value="Reset"/>
                                </td>
                            </tr>
						</table>
					</form>
					
					<?php
					if(isset($_GET['error'])) {
                        if($_GET['error'] == 1) {
                            echo '<div class="error"><p align="center">Please request a reservation whose end date is BEFORE the start date.</p></div>';
                        }
                        else if($_GET['error'] == 2) {
                            echo '<div class="error"><p align="center">The reservation you requested conflicts with an existing reservation.  Please choose another time/date and try again.  If you would like to see current reservations placed, go to LINK TO EXISTING RESERVATION</p></div>';
                        }
                    }
                    else if(isset($_GET['success'])) {
                        if($_GET['success'] == 1) {
							$reservation = $_GET['resID'];
							$spot = $_GET['spotID'];
                            echo '<div class="success"><p align="center">Congratulations! You RESERVED THAT SPOT!  Your Reservation ID is '.$reservation.'.</br>Please try to remember your reservation ID in case there are any issues when you arrive at the garage.  You are assigned to spot # '.$spot.'.  You are not required to remember this spot identification.</p></div>';
                        }
                    }
					?>
					
				</div>
			</div>
			
			<div id="sidebar" class="right">
				<h3>What To Do Next</h3>
				<div class="sidebar-nav">
					<p>Once you have placed a reservation, all that's left to do is go to the garage.  When you arrive, drive into the elevator platform that will take you to the appropriate level.  Pay attention to the display panel in the elevator as it will inform you of your spot number.</p>
					
					<p></br>Having trouble placing a reservation?  Click the link below to view existing reservations.  You can filter your view based on date and time</p>
					<a href="viewReservations.php">Click to View Reservations!</a>
					
					<p></br>Want to see the current capacity of the garage?  Click the link below.</p>
					<a href="viewGarage.php">Click to View the Garage!</a>
				</div>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>