<?php
	/*
	session_start();
	
	if(!$_SESSION['customer_id']) {
		session_destroy();
	}
	*/
	include_once('include/config.inc.php');
	include_once('include/extraFunctions.php');
?>

<!DOCTYPE html>

<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<title><?php echo $g_Cfg["site_name"].''; ?></title>
	
	<link rel="stylesheet" href="css/style.css" type="text/css" media="all" />
	<link rel="stylesheet" href="css/jquery.jcarousel.css" type="text/css" media="all" />
	
	<link href='http://fonts.googleapis.com/css?family=Holtwood+One+SC' rel='stylesheet' type='text/css'>
	<link rel="shortcut icon" href="css/images/favicon.ico" />
</head>

<body>
<div class="shell">
	<div class="border">
		<div id="header">
			<br/><br/><h1>&nbsp;Reserve Your Spot!</h1></br></br>
			<h3>&nbsp;&nbsp;&nbsp;&nbsp;Note: This website is being used for educational purposes only!</h3>
		</div>
		
		<? echo(htmlFunctions::renderMenu(isset($_SESSION['customer_id']))); ?>
		
		<div id="garage_map">
			<!--<div id="content" align="center">  change ID to content for two columns -->
			<table>
				<tr>
					<td width="400px" align="center">
						<form action="include/fetchReservations.php" method="post" class="clean_form">
						<input type="hidden" name="action" id="action" value="reserve"/>
						<p align="center"></br>From</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="start_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$function = new htmlFunctions;
									$start_date = $function->reservationStartDropdown();
									echo $start_date?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<tr>
								<td align="right">
									<label for="start_time">Time:</label>
								</td>
								<td align="left">
									<select class="dropdown" name="start_time">
										<option value="00:00">12:00 AM</option>
										<option value="00:30">12:30 AM</option>
										<option value="01:00">1:00 AM</option>
										<option value="01:30">1:30 AM</option>
										<option value="02:00">2:00 AM</option>
										<option value="02:30">2:30 AM</option>
										<option value="03:00">3:00 AM</option>
										<option value="03:30">3:30 AM</option>
										<option value="04:00">4:00 AM</option>
										<option value="04:30">4:30 AM</option>
										<option value="05:00">5:00 AM</option>
										<option value="05:30">5:30 AM</option>
										<option value="06:00">6:00 AM</option>
										<option value="06:30">6:30 AM</option>
										<option value="07:00">7:00 AM</option>
										<option value="07:30">7:30 AM</option>
										<option value="08:00">8:00 AM</option>
										<option value="08:30">8:30 AM</option>
										<option selected="selected" value="09:00">9:00 AM</option>
										<option value="09:30">9:30 AM</option>
										<option value="10:00">10:00 AM</option>
										<option value="10:30">10:30 AM</option>
										<option value="11:00">11:00 AM</option>
										<option value="11:30">11:30 AM</option>
										<option value="12:00">12:00 PM</option>
										<option value="12:30">12:30 PM</option>
										<option value="13:00">1:00 PM</option>
										<option value="13:30">1:30 PM</option>
										<option value="14:00">2:00 PM</option>
										<option value="14:30">2:30 PM</option>
										<option value="15:00">3:00 PM</option>
										<option value="15:30">3:30 PM</option>
										<option value="16:00">4:00 PM</option>
										<option value="16:30">4:30 PM</option>
										<option value="17:00">5:00 PM</option>
										<option value="17:30">5:30 PM</option>
										<option value="18:00">6:00 PM</option>
										<option value="18:30">6:30 PM</option>
										<option value="19:00">7:00 PM</option>
										<option value="19:30">7:30 PM</option>
										<option value="20:00">8:00 PM</option>
										<option value="20:30">8:30 PM</option>
										<option value="21:00">9:00 PM</option>
										<option value="21:30">9:30 PM</option>
										<option value="22:00">10:00 PM</option>
										<option value="22:30">10:30 PM</option>
										<option value="23:00">11:00 PM</option>
										<option value="23:30">11:30 PM</option>
									</select>
									<span class="required_field"></span>
								</td>
							</tr>
						</table>
						
						</br>
						
						<p align="center">Till</p>
						<table align="center">
							<tr>
								<td align="right">
									<label for="end_date">Date:</label>
								</td>
								<td align="left">
									<?php
									$function = new htmlFunctions;
									$end_date = $function->reservationEndDropdown();
									echo $end_date?>
									<span class="require_field"></span>
								</td>
							</tr>
						
							<tr>
								<td align="right">
									<label for="end_time">Time:</label>
								</td>
								<td align="left">
									<select class="dropdown" name="end_time">
										<option value="00:00">12:00 AM</option>
										<option value="00:30">12:30 AM</option>
										<option value="01:00">1:00 AM</option>
										<option value="01:30">1:30 AM</option>
										<option value="02:00">2:00 AM</option>
										<option value="02:30">2:30 AM</option>
										<option value="03:00">3:00 AM</option>
										<option value="03:30">3:30 AM</option>
										<option value="04:00">4:00 AM</option>
										<option value="04:30">4:30 AM</option>
										<option value="05:00">5:00 AM</option>
										<option value="05:30">5:30 AM</option>
										<option value="06:00">6:00 AM</option>
										<option value="06:30">6:30 AM</option>
										<option value="07:00">7:00 AM</option>
										<option value="07:30">7:30 AM</option>
										<option value="08:00">8:00 AM</option>
										<option value="08:30">8:30 AM</option>
										<option value="09:00">9:00 AM</option>
										<option value="09:30">9:30 AM</option>
										<option value="10:00">10:00 AM</option>
										<option value="10:30">10:30 AM</option>
										<option value="11:00">11:00 AM</option>
										<option value="11:30">11:30 AM</option>
										<option value="12:00">12:00 PM</option>
										<option value="12:30">12:30 PM</option>
										<option value="13:00">1:00 PM</option>
										<option value="13:30">1:30 PM</option>
										<option value="14:00">2:00 PM</option>
										<option value="14:30">2:30 PM</option>
										<option value="15:00">3:00 PM</option>
										<option value="15:30">3:30 PM</option>
										<option value="16:00">4:00 PM</option>
										<option value="16:30">4:30 PM</option>
										<option selected="selected" value="17:00">5:00 PM</option>
										<option value="17:30">5:30 PM</option>
										<option value="18:00">6:00 PM</option>
										<option value="18:30">6:30 PM</option>
										<option value="19:00">7:00 PM</option>
										<option value="19:30">7:30 PM</option>
										<option value="20:00">8:00 PM</option>
										<option value="20:30">8:30 PM</option>
										<option value="21:00">9:00 PM</option>
										<option value="21:30">9:30 PM</option>
										<option value="22:00">10:00 PM</option>
										<option value="22:30">10:30 PM</option>
										<option value="23:00">11:00 PM</option>
										<option value="23:30">11:30 PM</option>
									</select>
									<span class="required_field"></span>
								</td>
							</tr>
						</table>
						
						<!--<p align="center"></br>Spot</p>-->
						<table align="center">	<!-- Remove this one when putting this back
							<tr>
								<td align="left">--><!--
									<label for="spot"></label>--><!-- And this one
								</td>
								<td align="center">
									<select class="dropdown" name="spot">
										<option value="1">1</option>
										<option value="2">2</option>
										<option value="3">3</option>
										<option value="4">4</option>
										<option value="5">5</option>
									</select>
									<span class="required_field"></span>
								</td>
							</tr>
							-->
							<tr>
                                <td></td>
                                <td align="center" style="padding-top: 10px" colspan="2">
									<input type="hidden" name="customer_id" id="customer_id"/>
                                    <input type="submit" value="View Reservations!" />
                                    <input type="button" onClick="location.href='viewReservations.php'" value="Reset"/>
                                </td>
                            </tr>
						</table><p></br></p>
					</form>
					</td>
					
					<td align="center">
						<?php  
						if(isset($_GET['error'])) {
							if($_GET['error'] == 1) {
								echo '<div class="error"><p align="center">Please select a proper start and end point.</p></div>';
							}
						}
						
						else if(isset($_GET['change'])) {
							$startDate = $_GET['sDate'];
							$startTime = $_GET['sTime'];
							$endDate = $_GET['eDate'];
							$endTime = $_GET['eTime'];
							
							/* concatenate the date and times */
							$start = $startDate . " " . $startTime;
							$end = $endDate . " " . $endTime;
							
							htmlFunctions::generateCustomResTable($start, $end);
						}
						
						else {
							/* generate the next 20 reservations from current time */
							htmlFunctions::generateRealTimeResTable();
						}
						?>
					</td>
				</tr>
			</table>
			<div class="cl">&nbsp;</div>
		</div>
		
		<div class="shadow-l"></div>
		<div class="shadow-r"></div>
		<div class="shadow-b"></div>
	</div>
	
	<div id="footer">
		<div class="footer-nav left">
			<ul>
			    <li><a href="#">Home</a></li>
			    <li><a href="#">About Us</a></li>
			    <li><a href="#">My Account</a></li>
				<li><a href="#">Place a Reservation</a></li>
			    <li><a href="#">View The Garage</a></li>
			    <a href="#">References</a>
			</ul>
		</div>
		<p class="copy right">Copyright &copy; ! beSmart 2010 | Valid CSS &amp; HTML. Design by <a href="http://chocotemplates.com" target="_blank" title="The Sweetest CSS Templates WorldWide">Chocotemplates.com</a></p>
		<div class="cl">&nbsp;</div>
	</div>
</div>
</body>
</html>